summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorBalló György2021-05-25 00:33:37 +0000
committerBalló György2021-05-25 00:33:37 +0000
commitc04d8a51e94b78a9ae6daa8896c4b2f7b7b76419 (patch)
treebd857edb76561b50fd020519615c098d8420d793
downloadaur-c04d8a51e94b78a9ae6daa8896c4b2f7b7b76419.tar.gz
Initial commit
-rw-r--r--.SRCINFO22
-rw-r--r--PKGBUILD29
2 files changed, 51 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3e0b1144e31
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,22 @@
+pkgbase = norka
+ pkgdesc = Note-taking software with Markdown support designed for Pantheon
+ pkgver = 0.7.2
+ pkgrel = 1
+ url = https://tenderowl.com/work/norka/
+ arch = any
+ license = MIT
+ makedepends = appstream-glib
+ makedepends = meson
+ depends = granite
+ depends = gtksourceview3
+ depends = gtkspell3
+ depends = python-cairo
+ depends = python-gobject
+ depends = python-mistune2
+ depends = python-requests
+ depends = webkit2gtk
+ source = https://github.com/TenderOwl/Norka/archive/0.7.2/norka-0.7.2.tar.gz
+ sha256sums = 4184940d3f73d60ef7b2a8793d4b23f56aaf24500e37984385f3186068fe5f7a
+
+pkgname = norka
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f3e583960c1
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Contributor: Balló György <ballogyor+arch at gmail dot com>
+
+pkgname=norka
+pkgver=0.7.2
+pkgrel=1
+pkgdesc='Note-taking software with Markdown support designed for Pantheon'
+arch=('any')
+url='https://tenderowl.com/work/norka/'
+license=('MIT')
+depends=('granite' 'gtksourceview3' 'gtkspell3' 'python-cairo' 'python-gobject' 'python-mistune2'
+ 'python-requests' 'webkit2gtk')
+makedepends=('appstream-glib' 'meson')
+source=("https://github.com/TenderOwl/Norka/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha256sums=('4184940d3f73d60ef7b2a8793d4b23f56aaf24500e37984385f3186068fe5f7a')
+
+build() {
+ arch-meson Norka-$pkgver build
+ meson compile -C build
+}
+
+check() {
+ meson test -C build --print-errorlogs || :
+}
+
+package() {
+ DESTDIR="$pkgdir" meson install -C build
+ install -Dm644 Norka-$pkgver/LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+